Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.samples.catalog
Class CatalogPortlet

    java.lang.Object
      org.jboss.portlet.JBossPortlet
          org.jboss.portal.core.samples.catalog.CatalogPortlet

All Implemented Interfaces:
  javax.portlet.Portlet

    public class CatalogPortlet

extends JBossPortlet

Version:
  $Revision: 10790 $
Author:
  Julien Viet, Thomas Heute

Constructor Summary
`CatalogPortlet()`

Method Summary
`void` | `destroy()`
`void` | `init()`
`void` | `render(JBossRenderRequest req, JBossRenderResponse resp)` Calls `doDispatch(JBossRenderRequest,JBossRenderResponse)`.

Methods inherited from class org.jboss.portlet.JBossPortlet
`doAdmin, doDispatch, doEdit, doHelp, doView, getDefaultOperation, getInitParameter, getInitParameterNames, getOperationName, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, processAction, processAction, processAdmin, processDispatch, processEdit, processHelp, processView, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogPortlet

    public CatalogPortlet()

Method Detail

### init

    public void init()
              throws javax.portlet.PortletException

  Overrides:
    `init` in class `JBossPortlet`
  Throws:
    `javax.portlet.PortletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.portlet.Portlet`
  Overrides:
    `destroy` in class `JBossPortlet`

### render

    public void render(JBossRenderRequest req,
                       JBossRenderResponse resp)
                throws java.io.IOException

  Description copied from class: `JBossPortlet`
  Calls `doDispatch(JBossRenderRequest,JBossRenderResponse)`.

  Overrides:
    `render` in class `JBossPortlet`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD